Skip to content
トレカクラウド
Esc
↑↓navigate↵open⌘Jpreview

Search the card catalog

Searches active cards by name, card number, JAN or ID. Up to 25 results.

GET/cards
Authorization
AuthorizationOAuth2 access token · headerrequired

Authorization code flow (PKCE S256 required). Send resource=https://api.toreca-cloud.com/partner/v1 with the authorization, token and refresh requests. Access tokens last 15 minutes; refresh tokens last 90 days and rotate on every refresh.

Scopes:inventory:read
Query parameters
searchstringrequired
min length 1 · max length 150
limitinteger
min 1 · max 25 · default: 25
Responses
200

The cards

cardsCard[]required
Show properties
Array of Card
idstring<uuid>
namestring
localizedNamesobject
cardNumberstring | null
setTotalRawstring | null
janCodestring | null
languageCodestring
variantstring | null
finishstring | null
imageUrlstring<uri> | null
rarityobject | null
Show properties
codestring
namestring
setobject | null
Show properties
idstring<uuid>
codestring
namestring
nameEnstring | null
gameGame
Show properties
idstring<uuid>
codestring
namestring
401

invalid_token: the token is missing, expired, or for another resource.

errorstringrequired

The error code

scopestring

With insufficient_scope, the missing scope

403

One of insufficient_scope, connection_revoked, client_disabled or forbidden.

errorstringrequired

The error code

scopestring

With insufficient_scope, the missing scope

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/cards?search=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "cards": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "localizedNames": {
        "property1": "string",
        "property2": "string"
      },
      "cardNumber": "string",
      "setTotalRaw": "string",
      "janCode": "string",
      "languageCode": "string",
      "variant": "string",
      "finish": "string",
      "imageUrl": "http://example.com",
      "rarity": {
        "code": "string",
        "name": "string"
      },
      "set": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "code": "string",
        "name": "string",
        "nameEn": "string"
      },
      "game": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "code": "string",
        "name": "string"
      }
    }
  ]
}